package org.apache.sshd.fs.test;

import org.junit.jupiter.api.Test;
import org.xbib.files.FileService;

import java.io.IOException;
import java.util.Map;
import java.util.logging.Logger;

public class FileServiceProviderTest {

    @Test
    public void testSFTP() throws IOException {
        Map<String, ?> env = Map.of("username", "joerg");
        FileService fs = FileService.newInstance("sftp://alkmene:22", env);
        fs.list(".").forEach(p -> Logger.getAnonymousLogger().info(p.toString()));
    }
}
